# class REXML::Validation::Event

### Attributes

event_arg[RW]
event_type[R]

### Public Class Methods

new(event_type, event_arg=nil ) click to toggle source

    # File lib/rexml/validation/validation.rb, line 70
    def initialize(event_type, event_arg=nil )
      @event_type = event_type
      @event_arg = event_arg
    end

### Public Instance Methods

==( other ) click to toggle source

    # File lib/rexml/validation/validation.rb, line 130
    def ==( other )
      return false unless other.kind_of? Event
      @event_type == other.event_type and @event_arg == other.event_arg
    end

done?() click to toggle source

    # File lib/rexml/validation/validation.rb, line 78
    def done?
      @done
    end

inspect() click to toggle source

    # File lib/rexml/validation/validation.rb, line 139
    def inspect
      "#{@event_type.inspect}( #@event_arg )"
    end

matches?( event ) click to toggle source

    # File lib/rexml/validation/validation.rb, line 86
          def matches?( event )
            return false unless event[0] == @event_type
            case event[0]
            when nil
              return true
            when :start_element
              return true if event[1] == @event_arg
            when :end_element
              return true
            when :start_attribute
              return true if event[1] == @event_arg
            when :end_attribute
              return true
            when :end_document
              return true
            when :text
              return (@event_arg.nil? or @event_arg == event[1])
    =begin
            when :processing_instruction
              false
            when :xmldecl
              false
            when :start_doctype
              false
            when :end_doctype
              false
            when :externalentity
              false
            when :elementdecl
              false
            when :entity
              false
            when :attlistdecl
              false
            when :notationdecl
              false
            when :end_doctype
              false
    =end
            else
              false
            end
          end

single?() click to toggle source

    # File lib/rexml/validation/validation.rb, line 82
    def single?
      return (@event_type != :start_element and @event_type != :start_attribute)
    end

to_s() click to toggle source

    # File lib/rexml/validation/validation.rb, line 135
    def to_s
      inspect
    end